<%@ page contentType="text/html; charset=utf-8"
		 pageEncoding="utf-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-status-bar-style" content="black">
	<meta name="format-detection" content="telephone=no">
	<meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
	<meta name="renderer" content="webkit">
	<!-- 移动设备 viewport -->
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
	<jsp:include page="../../common.jsp"/>

</head>
<body>
<div class="row animated fadeInRight" style="margin: 0;">
	<div class="mb50 mt10">
		<div class="whitebg pl10 pr10">
			<table class="layui-hide" id="systemconfigTab" lay-filter="systemconfigTab"></table>
		</div>
	</div>
</div>

<script type="text/html" id="toolbarDemo">
	<div class="layui-btn-container">
		<button class="layui-btn layui-btn-sm" lay-event="add">添加</button>
		<button class="layui-btn layui-btn-sm" lay-event="search">查询</button>
	</div>
</script>

<script type="text/html" id="barDemo">
	<a class="layui-btn layui-btn-xs" lay-event="edit">编辑</a>
	<a class="layui-btn layui-btn-danger layui-btn-xs" lay-event="del">删除</a>
</script>

<script>
	layui.use(['table', 'layer'], function () {
		var table = layui.table;
		var layer = layui.layer;

		var tableIns = table.render({
			elem: '#systemconfigTab'
			, url: '${ctx}/systemconfig/querySystemconfigByPage'
			, response: {
				statusName: 'code' //数据状态的字段名称，默认：code
				, countName: 'count' //数据总数的字段名称，默认：count
				, dataName: 'data' //默数据列表的字段名称，认：data
				, statusCode: 200
			}
			, parseData: function (res) { //res 即为原始返回的数据
				return {
					"code": res.code, //解析接口状态
					"msg": res.message, //解析提示文本
					"count": res.count, //解析数据长度
					"data": res.systemconfigList //解析数据列表
				};
			}
			, toolbar: '#toolbarDemo' //开启头部工具栏，并为其绑定左侧模板
			, defaultToolbar: ['filter', 'exports', 'print', { //自定义头部工具栏右侧图标。如无需自定义，去除该参数即可
				title: '提示'
				, layEvent: 'LAYTABLE_TIPS'
				, icon: 'layui-icon-tips'
			}]
			, title: '系统属性配置'
			, cols: [[
				{type: 'checkbox', fixed: 'left', hidden: true}
				, {field: 'numbers', title: '序号',width: 80, type: 'numbers'}
				, {field: 'id', title: 'id'}
				, {field: 'propertyKey', title: '属性键', sore: true}
				, {field: 'propertyValue', title: '属性值',align: "center"}
				, {field: 'propertyDesc', title: '属性描述',align: "center"}
				, {field: 'propertyIndex', title: '属性索引',align: "center"}
				, {field: 'systemId', title: '系统ID',align: "center"}
				, {fixed: 'right', title: '操作',align: "center", toolbar: '#barDemo'}
			]]
			, request: {
				pageName: 'currPage' //页码的参数名称，默认：page
				, limitName: 'size' //每页数据量的参数名，默认：limit
			}
			, page: true
			, done: function () {
				$("[data-field='forceUpdate']").children().each(function () {
					if ($(this).text() == '0') {
						$(this).text('否');
					} else if ($(this).text() == '1') {
						$(this).text('是');
					}
				});
			}
		});

		//头工具栏事件
		table.on('toolbar(systemconfigTab)', function (obj) {
			switch (obj.event) {
				case 'add':
					// 添加
					toAdd();
					break;
				case 'search':
					// 查询
					tableIns.reload({
						where: { //设定异步数据接口的额外参数，任意设
							title: $("#title").val()
						}
						, page: {
							curr: 1 //重新从第 1 页开始
						}
					});
					break;
			}
		});

		//监听行工具事件
		table.on('tool(systemconfigTab)', function (obj) {
			var data = obj.data;
			//console.log(obj)
			if (obj.event === 'del') {
				layer.confirm('真的删除行么?', function (index) {
					obj.del(data);
					layer.close(index);
					del(obj);
				});
			} else if (obj.event === 'edit') {
				toAdd(obj.data);
			}
		});

		function toAdd(obj) {
			var url = '${ctx}/systemconfig/querySystemconfigBaseInfo';
			if (obj != undefined) {
				url = "${ctx}/systemconfig/querySystemconfigBaseInfo/" + obj.id
			}
			var index = layer.open({
				type: 2
				, shade: 0.5
				, maxmin: true
				, content: url
				, area: ['550px', '500px']
			});
		}

		function del(obj) {
			$.ajax({
				url: '${ctx}/systemconfig/deleteSystemconfig',
				method: 'post',
				data: JSON.stringify(obj.data),
				dataType: 'JSON',
				contentType: "application/json",
				success: function (res) {
					if (res.code == 200) {
						layer.msg(res.message, {
							icon: 1
						});
					} else {
						layer.msg(res.message, {
							icon: 5
						});
					}
				}
			})
		}
	});
</script>
</body>
</html>